#### PyKDE - Python Bindings for KDE

# class KRecentDocument |
Table of contents
Modules
kfile Classes
All Classes

Module | kfile
Class | KRecentDocument
Inherits |

### methods

- add (url)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  url | KURL |

- add (url, desktopEntryName)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  url | KURL |
  desktopEntryName | QString |

- add (documentStr, isURL = 0)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  documentStr | QString |
  isURL | bool | 0

- clear ()

  returns nothing
  static

- maximumItems ()

  returns (int)
  static

- recentDocumentDirectory ()

  returns (QString)
  static

- recentDocuments ()

  returns (QStringList)
  static